Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq",
"widgetId": "5",
"sessionId": "SESSION_ID",
"profile": {
"firstName": "Olli",
"lastName": "Ozby",
"customerEmail": "",
"customerPhone": "",
"salesPerson": "0666"
},
"couponId": ""
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
posLocationId: '6orMqUyq2Hg3tP',
terminalId: '6orMqUyq',
widgetId: '5',
sessionId: 'SESSION_ID',
profile: {
firstName: 'Olli',
lastName: 'Ozby',
customerEmail: '',
customerPhone: '',
salesPerson: '0666'
},
couponId: ''
})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode"
payload = {
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq",
"widgetId": "5",
"sessionId": "SESSION_ID",
"profile": {
"firstName": "Olli",
"lastName": "Ozby",
"customerEmail": "",
"customerPhone": "",
"salesPerson": "0666"
},
"couponId": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"widgetId\": \"5\",\n \"sessionId\": \"SESSION_ID\",\n \"profile\": {\n \"firstName\": \"Olli\",\n \"lastName\": \"Ozby\",\n \"customerEmail\": \"\",\n \"customerPhone\": \"\",\n \"salesPerson\": \"0666\"\n },\n \"couponId\": \"\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"widgetId\": \"5\",\n \"sessionId\": \"SESSION_ID\",\n \"profile\": {\n \"firstName\": \"Olli\",\n \"lastName\": \"Ozby\",\n \"customerEmail\": \"\",\n \"customerPhone\": \"\",\n \"salesPerson\": \"0666\"\n },\n \"couponId\": \"\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode"
payload := strings.NewReader("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"widgetId\": \"5\",\n \"sessionId\": \"SESSION_ID\",\n \"profile\": {\n \"firstName\": \"Olli\",\n \"lastName\": \"Ozby\",\n \"customerEmail\": \"\",\n \"customerPhone\": \"\",\n \"salesPerson\": \"0666\"\n },\n \"couponId\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"widgetId\": \"5\",\n \"sessionId\": \"SESSION_ID\",\n \"profile\": {\n \"firstName\": \"Olli\",\n \"lastName\": \"Ozby\",\n \"customerEmail\": \"\",\n \"customerPhone\": \"\",\n \"salesPerson\": \"0666\"\n },\n \"couponId\": \"\"\n}")
.asString();{
"data": {
"qrCodeHtmlLinkUrl": "<string>"
}
}curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq",
"widgetId": "5",
"sessionId": "SESSION_ID",
"profile": {
"firstName": "Olli",
"lastName": "Ozby",
"customerEmail": "",
"customerPhone": "",
"salesPerson": "0666"
},
"couponId": ""
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
posLocationId: '6orMqUyq2Hg3tP',
terminalId: '6orMqUyq',
widgetId: '5',
sessionId: 'SESSION_ID',
profile: {
firstName: 'Olli',
lastName: 'Ozby',
customerEmail: '',
customerPhone: '',
salesPerson: '0666'
},
couponId: ''
})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode"
payload = {
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq",
"widgetId": "5",
"sessionId": "SESSION_ID",
"profile": {
"firstName": "Olli",
"lastName": "Ozby",
"customerEmail": "",
"customerPhone": "",
"salesPerson": "0666"
},
"couponId": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"widgetId\": \"5\",\n \"sessionId\": \"SESSION_ID\",\n \"profile\": {\n \"firstName\": \"Olli\",\n \"lastName\": \"Ozby\",\n \"customerEmail\": \"\",\n \"customerPhone\": \"\",\n \"salesPerson\": \"0666\"\n },\n \"couponId\": \"\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"widgetId\": \"5\",\n \"sessionId\": \"SESSION_ID\",\n \"profile\": {\n \"firstName\": \"Olli\",\n \"lastName\": \"Ozby\",\n \"customerEmail\": \"\",\n \"customerPhone\": \"\",\n \"salesPerson\": \"0666\"\n },\n \"couponId\": \"\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode"
payload := strings.NewReader("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"widgetId\": \"5\",\n \"sessionId\": \"SESSION_ID\",\n \"profile\": {\n \"firstName\": \"Olli\",\n \"lastName\": \"Ozby\",\n \"customerEmail\": \"\",\n \"customerPhone\": \"\",\n \"salesPerson\": \"0666\"\n },\n \"couponId\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/widget/showQrCode")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\",\n \"widgetId\": \"5\",\n \"sessionId\": \"SESSION_ID\",\n \"profile\": {\n \"firstName\": \"Olli\",\n \"lastName\": \"Ozby\",\n \"customerEmail\": \"\",\n \"customerPhone\": \"\",\n \"salesPerson\": \"0666\"\n },\n \"couponId\": \"\"\n}")
.asString();{
"data": {
"qrCodeHtmlLinkUrl": "<string>"
}
}JWT Authorization header using the Bearer scheme.
Enter JWT Bearer token only in the text input below.
POS System Id
Request
Show widget QR-code request
Widget identifier
Session identifier
1POS location identifier
1Terminal identifier
1Profile information for POS widget
Show child attributes
Coupon unique identifier
Success
Show widget QR-code response
Show child attributes